Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.decorator
Class HighlightPredicate.OrHighlightPredicate

    java.lang.Object
      org.jdesktop.swingx.decorator.HighlightPredicate.OrHighlightPredicate

All Implemented Interfaces:
  HighlightPredicate

Enclosing interface:
  HighlightPredicate

    public static class HighlightPredicate.OrHighlightPredicate

extends java.lang.Object
implements HighlightPredicate

Or's a list of predicates.

Nested Class Summary

Nested classes/interfaces inherited from interface org.jdesktop.swingx.decorator.HighlightPredicate
`HighlightPredicate.AndHighlightPredicate, HighlightPredicate.ColumnHighlightPredicate, HighlightPredicate.DepthHighlightPredicate, HighlightPredicate.EqualsHighlightPredicate, HighlightPredicate.IdentifierHighlightPredicate, HighlightPredicate.NotHighlightPredicate, HighlightPredicate.OrHighlightPredicate, HighlightPredicate.RowGroupHighlightPredicate, HighlightPredicate.TypeHighlightPredicate`

Field Summary

Fields inherited from interface org.jdesktop.swingx.decorator.HighlightPredicate
`ALWAYS, BIG_DECIMAL_NEGATIVE, EDITABLE, EMPTY_INTEGER_ARRAY, EMPTY_OBJECT_ARRAY, EMPTY_PREDICATE_ARRAY, EVEN, HAS_FOCUS, INTEGER_NEGATIVE, IS_FOLDER, IS_LEAF, IS_SELECTED, IS_TEXT_TRUNCATED, NEVER, ODD, READ_ONLY, ROLLOVER_CELL, ROLLOVER_COLUMN, ROLLOVER_ROW`

Constructor Summary
`HighlightPredicate.OrHighlightPredicate(java.util.Collection<HighlightPredicate> list)` Instantiates a predicate which ORs all contained predicates.
`HighlightPredicate.OrHighlightPredicate(HighlightPredicate... predicate)` Instantiates a predicate which ORs all given predicates.

Method Summary
`HighlightPredicate[]` | `getHighlightPredicates()`
`boolean` | `isHighlighted(java.awt.Component renderer, ComponentAdapter adapter)` Returns a boolean to indicate whether the component should be highlighted.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HighlightPredicate.OrHighlightPredicate

    public HighlightPredicate.OrHighlightPredicate(HighlightPredicate... predicate)

  Instantiates a predicate which ORs all given predicates.

  Parameters:
    `predicate` - zero or more not null predicates to OR
  Throws:
    `java.lang.NullPointerException` - if the predicate is null

### HighlightPredicate.OrHighlightPredicate

    public HighlightPredicate.OrHighlightPredicate(java.util.Collection<HighlightPredicate> list)

  Instantiates a predicate which ORs all contained predicates.

  Parameters:
    `list` - a collection with zero or more not null predicates to OR
  Throws:
    `java.lang.NullPointerException` - if the collection is null

Method Detail

### isHighlighted

    public boolean isHighlighted(java.awt.Component renderer,
                                 ComponentAdapter adapter)

  Returns a boolean to indicate whether the component should be highlighted.

  Note: both parameters should be considered strictly read-only! Implemented to return true if any of the contained predicates is true.

  Specified by:
    `isHighlighted` in interface `HighlightPredicate`
  Parameters:
    `renderer` - the cell renderer component that is to be decorated, must not be null
    `adapter` - the ComponentAdapter for this decorate operation, most not be null
  Returns:
    a boolean to indicate whether the component should be highlighted.

### getHighlightPredicates

    public HighlightPredicate[] getHighlightPredicates()

  Returns:
    all registered predicates

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.